<?php namespace Lib\Auteurs;

use \Lib\Villes\Ville;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
 
class AuteurGestion extends \Lib\Commun\BaseGestion
{

	protected $ville;

  public function __construct(Auteur $auteur, Ville $ville, AuteurValidation $validation)
  {
    $this->model = $auteur;
    $this->validation = $validation;
    $this->ville = $ville;
  }
		
	public function show($id)
	{
		$auteur = $this->model->find($id);
		return array(
			'auteur' => $auteur,
			'pays' => $auteur->ville->pays->nom,
			'ville' => $auteur->ville->nom,
			'livres' => $auteur->livres
		);
	}

	public function edit($id)
	{
		$auteur = $this->model->find($id);
		return array(
			'auteur' => $auteur,
			'select' => $this->ville->all()->lists('nom', 'id')
		);
	}

	public function update($id)
	{
		if($this->validation->with(Input::all())->passes())
		{
			$auteur = $this->model->find($id);
			$auteur->nom = Input::get('nom');
			$auteur->ville_id = Input::get('villes');
			return $auteur->save();
		} 
		return $this->validation->errors();
	}

	public function store()
	{
		if($this->validation->with(Input::all())->passes())
		{
			$auteur = new $this->model(Input::all());
			return $auteur->save();
		} 
		return $this->validation->errors();
	}

  public function create(){
		return array(
			'select' => $this->ville->all()->lists('nom', 'id')
		);  	
  }

	public function destroy($id)
	{
		$auteur = $this->model->find($id);
		if($auteur->livres->count() == 0)	{
			$auteur->delete();
		} else {
			Session::flash('message_danger', 'Cet auteur ne peut pas être supprimé parce qu\'il possède des livres !');
		}
	}

}