<?php namespace Lib\AutoEdites;

use \Lib\Contacts\Contact;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
 
class AutoEditeGestion extends \Lib\Commun\BaseGestion
{

	protected $editeur;

  public function __construct(Autoedite $editeur, AutoediteValidation $validation)
  {
    $this->model = $editeur;
    $this->validation = $validation;
  }
		
	public function show($id)
	{
		$editeur = $this->model->find($id);
		return array(
			'editeur' => $editeur,
			'livres' => $editeur->livres
		);
	}

	public function edit($id)
	{
		$editeur = $this->model->find($id);
		return array(
			'editeur' => $editeur
		);
	}

	public function update($id)
	{
		if($this->validation->with(Input::all())->passes())
		{
			$editeur = $this->model->find($id);
			$editeur->nom = Input::get('nom');
			return $editeur->save();
		}
		return $this->validation->errors();
	}

	public function store()
	{
		if($this->validation->with(Input::all())->passes())
		{
			$editeur = new $this->model;
			$editeur->nom = Input::get('nom');
			return $editeur->save();
		}
		return $this->validation->errors();
	}

  public function create(){
		return array();  	
  }

	public function destroy($id)
	{
		$editeur = $this->model->find($id);
		if($editeur->livres->count() == 0)	{
			$editeur->delete();
		} else {
			Session::flash('message_danger', 'Cet auto-éditeur ne peut pas être supprimé parce qu\'il possède des livres !');
		}
	}

}