<?php namespace Lib\Categories;

use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
 
class CategorieGestion extends \Lib\Commun\BaseGestion
{

  public function __construct(Categorie $categorie, CategorieValidation $validation)
  {
    $this->model = $categorie;
    $this->validation = $validation;
  }
		
	public function show($id)
	{
		$categorie = $this->model->find($id);
		return array(
			'categorie' => $categorie,
			'themes' => $categorie->themes
		);
	}

	public function edit($id)
	{
		return array(
			'categorie' => $this->model->find($id),
		);
	}

	public function update($id)
	{
		if($this->validation->with(Input::all())->passes())
		{
			$categorie = $this->model->find($id);
			$categorie->nom = Input::get('nom');
			return $categorie->save();
		}
		return $this->validation->errors();
	}

	public function store()
	{
		if($this->validation->with(Input::all())->passes())
		{
			$categorie = new $this->model(Input::all());
			return $categorie->save();
		} 
		return $this->validation->errors();
	}

  public function create(){
		return array();  	
  }

	public function destroy($id)
	{
		$categorie = $this->model->find($id);
		if($categorie->themes->count() == 0) {
			$categorie->delete();
		} else {
			Session::flash('message_danger', 'Cette catégorie ne peut pas être supprimée parce qu\'elle possède des thèmes !');
		}
	}

}