@extends ('Commun.templates.form')

@section('formulaire')
	{{ Form::open(array('url' => 'livres/'.$livre->id, 'method' => 'put', 'class' => 'form-horizontal panel')) }}	
   	@include ('commun.templates.messages')
   	{{ Form::bootlegend('Modification du livre') }}<br>
	  {{ Form::boottext('titre', 'Titre :', $livre->titre) }}<br>
	  {{ Form::bootselect('theme_id', 'Theme :', $select_theme, $livre->theme_id) }}<br>
	  @for ($i = 0; $i < count($auteurs); $i++)
	  	{{ Form::bootselectbutton('auteur', $i, 'Auteur :', $select_auteurs, $auteurs[$i]) }}				  	
	  @endfor
	  <div class="row">
	  	<button id="add" type="button" class="btn btn-primary pull-right">Ajouter un auteur</button>
	  </div>
	  <br>
	  <div class="row form-group">
		  <label class="radio-inline">
		  	{{ Form::radio('livrable', 'Lib\Editeurs\Editeur', $livrable) }} Editeur
			</label>
			<label class="radio-inline">
				{{ Form::radio('livrable', 'Lib\Autoedites\Autoedite', !$livrable) }} Auto Editeur
			</label>
		</div>
		<div class="toggle {{ $livrable? 'show' : 'hidden' }}">
	  	{{ Form::bootselect('editeur_id', 'Editeur :', $select_editeurs, $livre->livrable_id) }}
	  </div>
	  <div class="toggle {{ $livrable? 'hidden' : 'show' }}">
	  	{{ Form::bootselect('autoedite_id', 'Auto Editeur :', $select_autoedites, $livre->livrable_id) }}
	  </div>
	  <br><hr>
	  {{ Form::bootbuttons(url('livres')) }}
	{{ Form::close() }}
@stop
	
@section('scripts')
	<script>
		$(function(){
			// Suppression d'une ligne d'auteurs
			$(".btn-danger").click(function() {
				// On supprime la ligne s'il en reste au moins 2
				if($('.ligne').length > 1) $(this).parents('.row .ligne').remove();	
			});

			// Ajout d'une ligne d'auteurs
			$("#add").click(function() {
				// Recherche dernier id
				var max = id = 0;
				$('.ligne').each(function(){
					id = parseInt(($(this).attr('id')).substring(11));
					if(id > max) max = id;
				});
				// Première ligne
				var clone = $('#ligneauteur' + max).clone(true);
				// Change l'id
				clone.attr('id', 'ligneauteur' + ++max);
				// Change le for du label 
				clone.find('label').attr('for', 'auteur' + max);
				// Change l'id du select
				clone.find('select').attr('id', 'auteur' + max);
				// Ajoute la ligne à la fin
				$('#ligneauteur' + id).after(clone);			
			});

			// Changement editeur/auto editeur
			$('input[type="radio"]').change(function () {
				$('.toggle').toggleClass('show hidden');
			});
			
		})
	</script>
@stop