<?php namespace Lib\Pays;

use \Lib\Pays\Pays;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
 
class PaysGestion extends \Lib\Commun\BaseGestion
{

  public function __construct(Pays $pays, PaysValidation $validation)
  {
    $this->model = $pays;
    $this->validation = $validation;
  }
		
	public function show($id)
	{
		$pays = $this->model->find($id);
		return array(
			'pays' => $pays,
			'villes' => $pays->villes,
			'auteurs' => $pays->auteurs
		);
	}

	public function edit($id)
	{
		return array(
			'pays' => $this->model->find($id),
		);
	}

	public function update($id)
	{
		if($this->validation->with(Input::all())->passes())	{
			$pays = $this->model->find($id);
			$pays->nom = Input::get('nom');
			return $pays->save();
		}
		return $this->validation->errors();
	}

	public function store()
	{
		if($this->validation->with(Input::all())->passes())	{
			$pays = new $this->model(Input::all());
			return $pays->save();
		}
		return $this->validation->errors();
	}

  public function create(){
		return array();  	
  }

	public function destroy($id)
	{
		$pays = $this->model->find($id);
		if($pays->villes->count() == 0)	{
			$pays->delete();
		} else {
			Session::flash('message_danger', 'Ce pays ne peut pas être supprimé parce qu\'il possède des villes !');
		}
	}

}