<?php namespace Lib\Periodes;

use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
 
class PeriodeGestion extends \Lib\Commun\BaseGestion
{

  public function __construct(Periode $periode, PeriodeValidation $validation)
  {
    $this->model = $periode;
    $this->validation = $validation;
  }
		
	public function show($id)
	{
		$periode = $this->model->find($id);
		return array(
			'periode' => $periode,
			'themes' => $periode->themes
		);
	}

	public function edit($id)
	{
		return array(
			'periode' => $this->model->find($id),
		);
	}

	public function update($id)
	{
		if($this->validation->with(Input::all())->passes())
		{
			$periode = $this->model->find($id);
			$periode->nom = Input::get('nom');
			return $periode->save();
		}
		return $this->validation->errors();
	}

	public function store()
	{
		if($this->validation->with(Input::all())->passes())	{
			$periode = new $this->model(Input::all());
			return $periode->save();
		} 
		return $this->validation->errors();
	}

  public function create(){
		return array();  	
  }

	public function destroy($id)
	{
		$periode = $this->model->find($id);
		if($periode->themes->count() == 0) {
			$periode->delete();
		} else {
			Session::flash('message_danger', 'Cette période ne peut pas être supprimée parce qu\'elle possède des thèmes !');
		}
	}

}