@extends ('Commun.templates.form')

@section('formulaire')
	{{ Form::open(array('url' => 'themes/'.$theme->id, 'method' => 'put', 'class' => 'form-horizontal panel')) }}	
   	@include ('commun.templates.messages')
   	{{ Form::bootlegend('Modification du thème') }}
	  {{ Form::boottext('nom', 'Nom :', $theme->nom) }}<br><hr>
	  <div id="cats">
		  @for ($i = 0; $i < count($categories); $i++)
		  	{{ Form::bootselectbutton('categorie', $i, 'Catégorie :', $select_categories, $categories[$i]) }}				  	
		  @endfor
	  </div>
	  <div class="row">
	  	<button id="add_cat" type="button" class="btn btn-primary pull-right">Ajouter une catégorie</button>
	  </div>
	  <br><hr>
	  <div id="pers">
		  @for ($i = 0; $i < count($periodes); $i++)
		  	{{ Form::bootselectbutton('periode', $i, 'Période :', $select_periodes, $periodes[$i]) }}				  	
		  @endfor
	  </div>
	  <div class="row">
	  	<button id="add_per" type="button" class="btn btn-primary pull-right">Ajouter une période</button>
	  </div>
	  <br><hr>
	  {{ Form::bootbuttons(url('themes')) }}
	{{ Form::close() }}
@stop

@section('scripts')
	<script>

		$(function(){		

			// Nombre de catégories et périodes au départ
			var cat_number = $('#cats .ligne').length;
			var per_number = $('#pers .ligne').length; 

			// Suppression d'une ligne
			$(document).on('click', '.btn-danger', function(){ 
				$(this).parents('.row .ligne').remove();	
			});

			// Ajout d'une ligne de catégorie
			$("#add_cat").click(function() {
				var id = 'categorie' + cat_number;
				var html = '<div class="row ligne" id="ligne' + id + '">\n<div class="form-group">\n'
				+ '<label for="categorie' + cat_number + '" class="col-md-3">Catégorie :</label>\n'
				+ '<div class="col-md-7">\n'
				+ '{{ Form::select('categorie[]', $select_categories, null, array('class' => 'form-control', 'id' => 'id_temp')) }}\n'
				+ '</div>\n<div class="col-md-2">\n<button type="button" class="btn btn-danger">Supprimer</button>\n</div>\n</div>\n';
				++cat_number;
				$('#cats').append(html);	
				$('#id_temp').attr('id', id);	
			});

			// Ajout d'une ligne de période
			$("#add_per").click(function() {
				var id = 'periode' + per_number;
				var html = '<div class="row ligne" id="ligne' + id + '">\n<div class="form-group">\n'
				+ '<label for="periode' + per_number + '" class="col-md-3">Période :</label>\n'
				+ '<div class="col-md-7">\n'
				+ '{{ Form::select('periode[]', $select_periodes, null, array('class' => 'form-control', 'id' => 'id_temp')) }}\n'
				+ '</div>\n<div class="col-md-2">\n<button type="button" class="btn btn-danger">Supprimer</button>\n</div>\n</div>\n';
				++per_number;
				$('#pers').append(html);	
				$('#id_temp').attr('id', id);	
			});

		})

	</script>
@stop
