<?php namespace Lib\Villes;

use \Lib\Pays\Pays;
use Illuminate\Support\Facades\Input;
use Illuminate\Support\Facades\Session;
 
class VilleGestion extends \Lib\Commun\BaseGestion
{

	protected $pays;

  public function __construct(Ville $ville, Pays $pays, VilleValidation $validation)
  {
    $this->model = $ville;
    $this->pays = $pays;
    $this->validation = $validation;
  }
		
	public function show($id)
	{
		$ville = $this->model->find($id);
		return array(
			'ville' => $ville,
			'pays' => $ville->pays->nom,
			'auteurs' => $ville->auteurs
		);
	}

	public function edit($id)
	{
		$ville = $this->model->find($id);
		return array(
			'ville' => $ville,
			'select' => $this->pays->all()->lists('nom', 'id')
		);
	}

	public function update($id)
	{
		if($this->validation->with(Input::all())->passes())
		{
			$ville = $this->model->find($id);
			$ville->nom = Input::get('nom');
			$ville->pays_id = Input::get('pays_id');
			return $ville->save();
		}
		return $this->validation->errors();
	}

	public function store()
	{
		if($this->validation->with(Input::all())->passes())	{
			$ville = new $this->model(Input::all());
			return $ville->save();
		}
		return $this->validation->errors();
	}

  public function create(){
		return array(
			'select' => $this->pays->all()->lists('nom', 'id')
		);  	
  }

	public function destroy($id)
	{
		$ville = $this->model->find($id);
		if($ville->auteurs->count() == 0)	{
			$ville->delete();
		} else {
			Session::flash('message_danger', 'Cette ville ne peut pas être supprimée parce qu\'elle possède des auteurs !');
		}
	}

}