<?php

class DatabaseSeeder extends Seeder {
 
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
 
        Eloquent::unguard();
 
        for ($i = 1; $i < 11; $i++) {
            DB::table('categories')->insert(array('nom' => 'Categorie ' . $i));
            DB::table('periodes')->insert(array('nom' => 'Periode ' . $i));
            DB::table('pays')->insert(array('nom' => 'Pays ' . $i));
        }
 
        for ($i = 1; $i < 21; $i++) {
            DB::table('themes')->insert(array('nom' => 'Theme ' . $i));
            DB::table('editeurs')->insert(array('nom' => 'Editeur ' . $i));
            DB::table('autoedites')->insert(array('nom' => 'Autoedite ' . $i));
            DB::table('contacts')->insert(array('telephone' => '00 00 00 00 00', 'editeur_id' => $i));
            DB::table('villes')->insert(array('nom' => 'Ville ' . $i, 'pays_id' => rand(1, 10)));
        }
 
        for ($i = 1; $i < 21; $i++) {
            DB::table('auteurs')->insert(array('nom' => 'Auteur ' . $i, 'ville_id' => rand(1, 20)));
        }
 
        for ($i = 1; $i < 41; $i++) {
            $choix = array('Lib\Autoedites\Autoedite','Lib\Editeurs\Editeur');
            DB::table('livres')->insert(array(
                'titre' => 'Titre ' . $i,
                'livrable_id' => rand(1, 20),
                'theme_id' => rand(1, 20),
                'livrable_type' => $choix[rand(0,1)]
            ));
        }
 
        for ($i = 1; $i < 21; $i++) {
            $number = rand(2, 8);
            for ($j = 1; $j <= $number; $j++) {
                DB::table('auteur_livre')->insert(array(
                    'livre_id' => rand(1, 40),
                    'auteur_id' => $i
                ));
            }
        }
 
        for ($i = 1; $i < 81; $i++) {
            $choix = array('Lib\Categories\Categorie','Lib\Periodes\Periode');
            DB::table('themables')->insert(array(
                'theme_id' => rand(1, 20),
                'themable_id' => rand(1, 10),
                'themable_type' => $choix[rand(0,1)]
            ));
        }
 
    }
}
